module Bindep

  # Example, for testing.
  define(:does_not_exist) do |i|
    i.command = 'does_not_exist'
  #  i.install_command = 'echo "This should install the command"'
  end

  define(:nmap) do |i|
    i.command = 'nmap'
    i.apt = 'nmap'
    i.yum = 'nmap'
    i.brew = 'nmap'
  end

  define(:git) do |i|
    i.command = 'git'
    i.apt = 'git-core'
    i.yum = 'git-core'
    i.brew = 'git'
  end

  define(:nodejs) do |i|
    i.command = %w(nodejs node)
    i.apt = %w(nodejs npm)
    i.yum = %w(nodejs npm)
    i.brew = 'node'
  end

  define(:npm) do |i|
    i.command = 'npm'
    i.depends = 'nodejs'
  end

  define(:less) do |i|
    i.command = 'lessc'
    i.npm = 'less'
    i.depends = 'npm'
  end

  define(:uglifyjs) do |i|
    i.command = 'uglifyjs'
    i.npm = 'uglify-js'
    i.depends = 'npm'
  end

  define(:jshint) do |i|
    i.command = 'jshint'
    i.npm = 'jshint'
    i.depends = 'npm'
  end

end
